/// <reference types="react" />
import { ReactWidget } from '@jupyterlab/apputils';
import { Cell } from '@jupyterlab/cells';
import { ISessionContext } from '@jupyterlab/apputils';
export declare class CellPlayButton extends ReactWidget {
    /**
     * Constructs a new CellPlayButton widget.
     *
     * Note: Depending on the type of cell encountered
     * tries to render an appropriate play button
     * component.
     */
    cell: Cell;
    session: ISessionContext;
    constructor(cell: Cell, session: ISessionContext);
    render(): JSX.Element;
}
